//
//  VMViewController.m
//  VistaModal
//
//  Created by Santiago Pavón on 05/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "VMViewController.h"
#import "SecondViewController.h"

@interface VMViewController ()

@property (weak, nonatomic) IBOutlet UISegmentedControl *segControl;

@end

@implementation VMViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)showVCModal:(UIButton *)sender {
    
    UIStoryboard * storyboard = self.storyboard;
    
    NSString * id = @"El VC Modal";
    
    SecondViewController *vc2 = [storyboard instantiateViewControllerWithIdentifier:id];
    
    NSInteger ind = [self.segControl selectedSegmentIndex];
    vc2.msg = [self.segControl titleForSegmentAtIndex:ind];
    
    [self presentViewController:vc2 animated:YES completion:NULL];
}

@end
